SDL_GetCPUCacheLineSize(3)

NAME
SDL_GetCPUCacheLineSize - Determine the L1 cache line size of the CPU.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetCPUCacheLineSize(void);

DESCRIPTION
This is useful for determining multi-threaded structure padding or SIMD prefetch sizes.

RETURN VALUE
Returns the L1 cache line size of the CPU, in bytes.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.